<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::adsl::test::DirectiveRouterTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1adsl.html">adsl</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1adsl_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_router_test.html">DirectiveRouterTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_router_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::adsl::test::DirectiveRouterTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::adsl::test::DirectiveRouterTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_router_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_router_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_router_test_inherit__map" id="alexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_router_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::adsl::test::DirectiveRouterTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_router_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_router_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_router_test_coll__map" id="alexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_router_test_coll__map">
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1adsl_1_1_directive_router.html" title="alexaClientSDK::adsl\l::DirectiveRouter" alt="" coords="99,93,246,132"/>
<area shape="rect" id="node4" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_requires_shutdown.html" title="alexaClientSDK::avsCommon\l::utils::RequiresShutdown" alt="" coords="74,5,271,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a9ee43e5e23f6abe105e44cd9b0389af6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_router_test.html#a9ee43e5e23f6abe105e44cd9b0389af6">SetUp</a> () override</td></tr>
<tr class="separator:a9ee43e5e23f6abe105e44cd9b0389af6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae36bb7abab65e115b051e2cd09af5f8a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_router_test.html#ae36bb7abab65e115b051e2cd09af5f8a">TearDown</a> () override</td></tr>
<tr class="separator:ae36bb7abab65e115b051e2cd09af5f8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aa03dd5dda2761dc5f062219a63d81168"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1_directive_router.html">DirectiveRouter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_router_test.html#aa03dd5dda2761dc5f062219a63d81168">m_router</a></td></tr>
<tr class="memdesc:aa03dd5dda2761dc5f062219a63d81168"><td class="mdescLeft">&#160;</td><td class="mdescRight">A <a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1_directive_router.html">DirectiveRouter</a> instance to test with.  <a href="#aa03dd5dda2761dc5f062219a63d81168">More...</a><br /></td></tr>
<tr class="separator:aa03dd5dda2761dc5f062219a63d81168"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada1ab24b39a25c4660887c7f1ab6fd74"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager.html">AttachmentManager</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_router_test.html#ada1ab24b39a25c4660887c7f1ab6fd74">m_attachmentManager</a></td></tr>
<tr class="memdesc:ada1ab24b39a25c4660887c7f1ab6fd74"><td class="mdescLeft">&#160;</td><td class="mdescRight">AttachmentManager with which to create directives.  <a href="#ada1ab24b39a25c4660887c7f1ab6fd74">More...</a><br /></td></tr>
<tr class="separator:ada1ab24b39a25c4660887c7f1ab6fd74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43581c5831d25d86c33d355e39190017"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_router_test.html#a43581c5831d25d86c33d355e39190017">m_directive_0_0</a></td></tr>
<tr class="memdesc:a43581c5831d25d86c33d355e39190017"><td class="mdescLeft">&#160;</td><td class="mdescRight">Generic <code>AVSDirective</code> for tests.  <a href="#a43581c5831d25d86c33d355e39190017">More...</a><br /></td></tr>
<tr class="separator:a43581c5831d25d86c33d355e39190017"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34b52e10d7f59c697e7fb8dadc03b35d"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_router_test.html#a34b52e10d7f59c697e7fb8dadc03b35d">m_directive_0_1</a></td></tr>
<tr class="memdesc:a34b52e10d7f59c697e7fb8dadc03b35d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Generic <code>AVSDirective</code> for tests.  <a href="#a34b52e10d7f59c697e7fb8dadc03b35d">More...</a><br /></td></tr>
<tr class="separator:a34b52e10d7f59c697e7fb8dadc03b35d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3651345bdca5f5f899eafb4bed760f71"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_router_test.html#a3651345bdca5f5f899eafb4bed760f71">m_directive_0_2</a></td></tr>
<tr class="memdesc:a3651345bdca5f5f899eafb4bed760f71"><td class="mdescLeft">&#160;</td><td class="mdescRight">Generic <code>AVSDirective</code> for tests.  <a href="#a3651345bdca5f5f899eafb4bed760f71">More...</a><br /></td></tr>
<tr class="separator:a3651345bdca5f5f899eafb4bed760f71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58fa560026fdd745aeaa4e8b4312a13b"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_router_test.html#a58fa560026fdd745aeaa4e8b4312a13b">m_directive_1_0</a></td></tr>
<tr class="memdesc:a58fa560026fdd745aeaa4e8b4312a13b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Generic <code>AVSDirective</code> for tests.  <a href="#a58fa560026fdd745aeaa4e8b4312a13b">More...</a><br /></td></tr>
<tr class="separator:a58fa560026fdd745aeaa4e8b4312a13b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adea6750e4e7656465177b1aae5ff5be4"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_router_test.html#adea6750e4e7656465177b1aae5ff5be4">m_directive_2_0</a></td></tr>
<tr class="memdesc:adea6750e4e7656465177b1aae5ff5be4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Generic <code>AVSDirective</code> for tests.  <a href="#adea6750e4e7656465177b1aae5ff5be4">More...</a><br /></td></tr>
<tr class="separator:adea6750e4e7656465177b1aae5ff5be4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class=""><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1test_1_1_directive_router_test.html">DirectiveRouterTest</a> </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a9ee43e5e23f6abe105e44cd9b0389af6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ee43e5e23f6abe105e44cd9b0389af6">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::adsl::test::DirectiveRouterTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae36bb7abab65e115b051e2cd09af5f8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae36bb7abab65e115b051e2cd09af5f8a">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::adsl::test::DirectiveRouterTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ada1ab24b39a25c4660887c7f1ab6fd74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada1ab24b39a25c4660887c7f1ab6fd74">&#9670;&nbsp;</a></span>m_attachmentManager</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_manager.html">AttachmentManager</a>&gt; alexaClientSDK::adsl::test::DirectiveRouterTest::m_attachmentManager</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>AttachmentManager with which to create directives. </p>

</div>
</div>
<a id="a43581c5831d25d86c33d355e39190017"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43581c5831d25d86c33d355e39190017">&#9670;&nbsp;</a></span>m_directive_0_0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a>&gt; alexaClientSDK::adsl::test::DirectiveRouterTest::m_directive_0_0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Generic <code>AVSDirective</code> for tests. </p>

</div>
</div>
<a id="a34b52e10d7f59c697e7fb8dadc03b35d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34b52e10d7f59c697e7fb8dadc03b35d">&#9670;&nbsp;</a></span>m_directive_0_1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a>&gt; alexaClientSDK::adsl::test::DirectiveRouterTest::m_directive_0_1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Generic <code>AVSDirective</code> for tests. </p>

</div>
</div>
<a id="a3651345bdca5f5f899eafb4bed760f71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3651345bdca5f5f899eafb4bed760f71">&#9670;&nbsp;</a></span>m_directive_0_2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a>&gt; alexaClientSDK::adsl::test::DirectiveRouterTest::m_directive_0_2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Generic <code>AVSDirective</code> for tests. </p>

</div>
</div>
<a id="a58fa560026fdd745aeaa4e8b4312a13b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a58fa560026fdd745aeaa4e8b4312a13b">&#9670;&nbsp;</a></span>m_directive_1_0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a>&gt; alexaClientSDK::adsl::test::DirectiveRouterTest::m_directive_1_0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Generic <code>AVSDirective</code> for tests. </p>

</div>
</div>
<a id="adea6750e4e7656465177b1aae5ff5be4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adea6750e4e7656465177b1aae5ff5be4">&#9670;&nbsp;</a></span>m_directive_2_0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a>&gt; alexaClientSDK::adsl::test::DirectiveRouterTest::m_directive_2_0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Generic <code>AVSDirective</code> for tests. </p>

</div>
</div>
<a id="aa03dd5dda2761dc5f062219a63d81168"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa03dd5dda2761dc5f062219a63d81168">&#9670;&nbsp;</a></span>m_router</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1_directive_router.html">DirectiveRouter</a> alexaClientSDK::adsl::test::DirectiveRouterTest::m_router</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>A <a class="el" href="classalexa_client_s_d_k_1_1adsl_1_1_directive_router.html">DirectiveRouter</a> instance to test with. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/ADSL/test/<a class="el" href="_directive_router_test_8cpp.html">DirectiveRouterTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
